namespace NetinaShop.Domain.CommandQueries.Commands;

public sealed record CreateProductCategoryCommand(
    string Name,
    string Description,
    bool IsMain,
    Guid ParentId,
    List<StorageFileSDto> Files) : IRequest<ProductCategoryLDto>;

public sealed record UpdateProductCategoryCommand(
    Guid Id,
    string Name,
    string Description,
    bool IsMain,
    Guid ParentId,
    List<StorageFileSDto> Files) : IRequest<bool>;

public sealed record DeleteProductCategoryCommand(Guid Id) : IRequest<bool>;